/*
 * configview.cpp
 *
 *  Created on: 01.03.2009
 *      Author: darkstar
 */

#include "configview.h"

/* BaseConfigView */

BaseConfigView::BaseConfigView(Configuration& configuration)
	:	config_(configuration)
{
}

BaseConfigView::~BaseConfigView()
{
}

void BaseConfigView::setStatesByConfiguration(const Configuration& config)
{
	if (&config != &config_)
		config_ = config;
}

void BaseConfigView::saveStatesToConfiguration()
{
}

void BaseConfigView::createWidgets()
{
}

/* ConfigWidget */

ConfigWidget::ConfigWidget(Configuration& configuration, QWidget *parent)
	:	QWidget(parent),
		BaseConfigView(configuration)
{
}

ConfigWidget::~ConfigWidget()
{
}

/* ConfigView */

#ifdef QT4
ConfigView::ConfigView(Configuration& configuration, QWidget *parent)
	:	QScrollArea(parent),
	 	BaseConfigView(configuration)
{
	QWidget *widget = new QWidget(this);
	setWidget(widget);
	widget->show();
	setWidgetResizable(true);
	setFrameStyle(NoFrame);
}
#else
ConfigView::ConfigView(Configuration& configuration, QWidget *parent)
	:	QScrollView(parent),
	 	BaseConfigView(configuration)
{
	setFrameStyle(NoFrame);
	setMargin(4);
	setResizePolicy(AutoOneFit);

	widget_ = new QWidget(viewport());
	addChild(widget_);
}
#endif

ConfigView::~ConfigView()
{
}
